2 Replies Latest reply: Nov 15, 2012 9:31 PM by HACKINT0SH
RobbRedman Level 1 Level 1 (0 points)

I have an older Iphone ver.4.2.1, every app says I need a higher ver. Is there a way to download the older ver. of these apps?


iPhone 3G, iOS 4.2